Skip to main content
POST
This also answers GET /v1/search/developer, with the same fields as query parameters.

Price

$0.001 for each 10 results; no results cost nothing. See Pricing.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
query
string
required
Minimum string length: 1
k
integer
default:10
Required range: 1 <= x <= 100
types
repos
language
string
Minimum string length: 1
min_stars
integer
Required range: 0 <= x <= 9007199254740991
max_stars
integer
Required range: 0 <= x <= 9007199254740991
passages

Response

The results.

success
any
required
creditsUsed
integer
required
costUsd
number
required

What this call cost, in dollars.

requestId
string
required
partial
boolean
results
object[]
repos
object[]